TKN-PIPELINERUN-CANCEL(1)

NAME

tkn-pipelinerun-cancel - Cancel a PipelineRun in a namespace

SYNOPSIS

tkn pipelinerun cancel

DESCRIPTION

Cancel a PipelineRun in a namespace

OPTIONS

--grace=""
    Gracefully cancel a PipelineRun To use this, you need to change the feature-flags configmap enable-api-fields to alpha instead of stable. Set to 'CancelledRunFinally' if you want to cancel the current running task and directly run the finally tasks. Set to 'StoppedRunFinally' if you want to cancel the remaining non-final task and directly run the finally tasks.

-h, --help[=false]
    help for cancel

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Cancel the PipelineRun named 'foo' from namespace 'bar':

    tkn pipelinerun cancel foo -n bar

SEE ALSO

tkn-pipelinerun(1)